// IpChangeDlg.h : ͷļ
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"
#include "AdapterInfo.h"

// CIpChangeDlg Ի
class CIpChangeDlg : public CDialog
{
// 
public:
	CIpChangeDlg(CWnd* pParent = NULL);	// ׼캯
	~CIpChangeDlg();                    // ׼
// Ի
	enum { IDD = IDD_IPCHANGE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ֧

// ʵ
protected:
	HICON m_hIcon;

	// ɵϢӳ亯
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_cAdaptersInfo;
public:
	afx_msg void OnCbnSelchangeAdapterinfocombo();
public:
	CString m_tMacAddr;
public:
	CIPAddressCtrl m_IpCtl;
public:
	CIPAddressCtrl m_MaskCtl;
public:
	CIPAddressCtrl m_GatewayCtl;
public:
	CIPAddressCtrl m_PrimaryDnsCtl;
public:
	CIPAddressCtrl m_BackupDnsCtl;

protected:
	AdapterInfo m_AdapterInfo;        //Ϣ
	char m_csFileName[FILENAME_MAX];  //ļ
	vector<PlanInfo *> m_vPlanInfo;    //
	void SetConfigFilePath();
	void LoadNetworkPlanInfo();
	PlanInfo *LoadPlanSection(string& section);
	void GetIpAddrsInfo();
	void GetConnectNames();
	BOOL InitSock();
	void InitGuiInfo();
	void InitIpAddrsInfo();
	void UpdateIpAddrsInfo();
	void InsertConnectName(ULONG index, char *pName);
	void GuiShowByAdaterInfo(PIP_ADAPTER_INFO pIpAdapterInfo);
	BOOL GuiShowByPlanInfo(PlanInfo *pPlan);
	BOOL SetIpInfoByCommand();
	BOOL SetMacByRegist();
	PlanInfo* CreateNewPlanInfo(char *pName);
	BOOL CheckPlanName(char *pName);
	BOOL SavePlan(PlanInfo *pPlan);
	void ExcuteCommand(char* pCommand);
	static UINT ModifyAdress(LPVOID lParam);

	afx_msg LRESULT OnModifyComplete(WPARAM wParam, LPARAM lParam);
public:
	CComboBox m_PlanCombo;
public:
	CButton m_IpDHCPButton;
public:
	CButton m_DNSDHCPBUTTON;
public:
	afx_msg void OnBnClickedStartbutton();
public:
	afx_msg void OnBnClickedIpdhcp();
public:
	afx_msg void OnBnClickedDnsdhcp();
public:
	afx_msg void OnBnClickedConfirmchange();
public:
	afx_msg void OnBnClickedSave();
public:
	CEdit m_tMacCtl;
};
