// IpChangeDlg.cpp : ʵļ
//

#include "stdafx.h"
#include "IpChange.h"
#include "IpChangeDlg.h"
#include "InputPlanNameDlg.h"
#include "IniFile.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// Ӧó򡰹ڡ˵ CAboutDlg Ի

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Ի
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧

// ʵ
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CIpChangeDlg Ի




CIpChangeDlg::CIpChangeDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CIpChangeDlg::IDD, pParent)
	, m_tMacAddr(_T(""))
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	m_AdapterInfo.pIpAdapterInfo = NULL; 
	m_AdapterInfo.csConnectName = NULL;
	m_vPlanInfo.clear();
}

CIpChangeDlg::~CIpChangeDlg()
{
	if (m_AdapterInfo.pIpAdapterInfo)
	{
		delete m_AdapterInfo.pIpAdapterInfo;
		delete m_AdapterInfo.csConnectName;
	}

	for (int i = 0; i < m_vPlanInfo.size(); i++)
	{
		delete m_vPlanInfo[i];
	}
}
void CIpChangeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_ADAPTERINFOCOMBO, m_cAdaptersInfo);
	DDX_Text(pDX, IDC_MACEDIT, m_tMacAddr);
	DDX_Control(pDX, IDC_IPADDRESS, m_IpCtl);
	DDX_Control(pDX, IDC_MASK, m_MaskCtl);
	DDX_Control(pDX, IDC_GATEWAY, m_GatewayCtl);
	DDX_Control(pDX, IDC_MAINDNS, m_PrimaryDnsCtl);
	DDX_Control(pDX, IDC_BACKUPDNS, m_BackupDnsCtl);
	DDX_Control(pDX, IDC_CASECOMBO, m_PlanCombo);
	DDX_Control(pDX, IDC_IPDHCP, m_IpDHCPButton);
	DDX_Control(pDX, IDC_DNSDHCP, m_DNSDHCPBUTTON);
	DDX_Control(pDX, IDC_MACEDIT, m_tMacCtl);
}

BEGIN_MESSAGE_MAP(CIpChangeDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_CBN_SELCHANGE(IDC_ADAPTERINFOCOMBO, &CIpChangeDlg::OnCbnSelchangeAdapterinfocombo)
	ON_BN_CLICKED(IDC_STARTBUTTON, &CIpChangeDlg::OnBnClickedStartbutton)
	ON_BN_CLICKED(IDC_IPDHCP, &CIpChangeDlg::OnBnClickedIpdhcp)
	ON_BN_CLICKED(IDC_DNSDHCP, &CIpChangeDlg::OnBnClickedDnsdhcp)
	ON_BN_CLICKED(IDC_CONFIRMCHANGE, &CIpChangeDlg::OnBnClickedConfirmchange)
	ON_BN_CLICKED(IDC_SAVE, &CIpChangeDlg::OnBnClickedSave)

	ON_MESSAGE(WM_MSG_MODIFY_COMPLETE, OnModifyComplete)
END_MESSAGE_MAP()


// CIpChangeDlg Ϣ

BOOL CIpChangeDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// ...˵ӵϵͳ˵С

	// IDM_ABOUTBOX ϵͳΧڡ
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// ô˶ԻͼꡣӦóڲǶԻʱܽԶ
	//  ִд˲
	SetIcon(m_hIcon, TRUE);			// ôͼ
	SetIcon(m_hIcon, FALSE);		// Сͼ

	//Ļ
	setlocale(LC_ALL, "chinese-simplified");  

	//ļ·
	SetConfigFilePath();

	//еķϢ
	LoadNetworkPlanInfo();

	//Ӧóʼ
	InitSock();                 //ʼSocket
	InitIpAddrsInfo();			//ʼϢ
	InitGuiInfo();              //ʼؼϢ

	//UpdateData(FALSE);

	return TRUE;  // ǽõؼ򷵻 TRUE
}

LRESULT CIpChangeDlg::OnModifyComplete(WPARAM wParam, LPARAM lParam)
{
	this->SetWindowText("ַת");
	this->EnableWindow(TRUE);
	AfxMessageBox("޸ɣ", MB_OK);
	UpdateIpAddrsInfo();                      //µַϢ
	return 0;
}

//ָ
PlanInfo* CIpChangeDlg::LoadPlanSection(string& section)
{
	PlanInfo *pPlan = new PlanInfo;
	string value;

	//Plan
	strcpy(pPlan->m_PlanName, section.c_str());

	//
	value = CIniFile::GetValue(CONNECTNAME, section, m_csFileName); 
	strcpy(pPlan->m_ConnectName, value.c_str());

	//IPǷDHCP
	value = CIniFile::GetValue(IPDHCP, section, m_csFileName);  
	if (value == "TRUE")
		pPlan->m_IsIpDHCP = TRUE;
	else
		pPlan->m_IsIpDHCP = FALSE;

	//DNSǷΪԶȡ
	value = CIniFile::GetValue(DNSDHCP, section, m_csFileName);  
	if (value == "TRUE")
		pPlan->m_IsDNSDHCP = TRUE;
	else
		pPlan->m_IsDNSDHCP = FALSE;
	
	//IP
	value = CIniFile::GetValue(IPADDRESS, section, m_csFileName);
	strcpy (pPlan->m_IpAddress, value.c_str());

	//MASK
	value = CIniFile::GetValue(MASK, section, m_csFileName);
	strcpy (pPlan->m_Mask, value.c_str());

	//GATEWAY
	value = CIniFile::GetValue(GATEWAY, section, m_csFileName);
	strcpy (pPlan->m_GateWay, value.c_str());

	//PrimaryDNS
	value = CIniFile::GetValue(PRIMARYDNS, section, m_csFileName);
	strcpy (pPlan->m_PrimaryDns, value.c_str());

	//BACKUPDNS
	value = CIniFile::GetValue(BACKUPDNS, section, m_csFileName);
	strcpy (pPlan->m_BackupDns, value.c_str());

	//MAcַ
	value = CIniFile::GetValue(MACADDR, section, m_csFileName);
	strcpy (pPlan->m_MacAddr, value.c_str());

	return pPlan;
}

//еķ
void CIpChangeDlg::LoadNetworkPlanInfo()
{
	//
	vector<string> sectionName;
	sectionName = CIniFile::GetSectionNames(m_csFileName);

	//ÿһsectionеķ
	for (int i = 0; i < sectionName.size(); i++)
	{
		PlanInfo* pPlan = NULL;
		if (pPlan = LoadPlanSection(sectionName[i]))
			m_vPlanInfo.push_back(pPlan);
	}

}

//ļ·
void CIpChangeDlg::SetConfigFilePath()
{
	//ȡļļ·
	GetModuleFileName(NULL, m_csFileName, FILENAME_MAX);
	*strrchr(m_csFileName, '\\') = '\0';
	strcat_s(m_csFileName, FILENAME_MAX, "\\Config\\Config.ini");
}

//ʼSocket
BOOL CIpChangeDlg::InitSock()
{
	WORD wVersionRequested;
	WSADATA wsaData;
	int err;
	wVersionRequested = MAKEWORD( 2, 2 );
	err = WSAStartup( wVersionRequested, &wsaData );
	if ( err != 0 ) {
		return FALSE;
	}
	if ( LOBYTE( wsaData.wVersion ) != 2 ||
		HIBYTE( wsaData.wVersion ) != 2 ) {
			WSACleanup( );
			return FALSE; 
	}

	return TRUE;
}

//Ϣص
void CIpChangeDlg::InsertConnectName(ULONG index, char *pName)
{
	PIP_ADAPTER_INFO pIpAdapterInfo = m_AdapterInfo.pIpAdapterInfo;
	for (int i = 0; i < m_AdapterInfo.iCount; i++)
	{
		if (pIpAdapterInfo->Index == index)
		{
			strcpy (m_AdapterInfo.csConnectName[i], pName);
		}
		pIpAdapterInfo = pIpAdapterInfo->Next;
	}
}

//ʼؼϢ
void CIpChangeDlg::InitGuiInfo()
{
	//ʼCombo boxϢ
	for (int i = 0; i < m_vPlanInfo.size(); i++)
	{
		m_PlanCombo.InsertString(i, m_vPlanInfo[i]->m_PlanName);
	}
	m_PlanCombo.SetCurSel(0);

	//ʼCombo boxϢ,ʾһϢ
	for (int i = 0; i < m_AdapterInfo.iCount; i++)
		m_cAdaptersInfo.InsertString(i, m_AdapterInfo.csConnectName[i]);
	m_cAdaptersInfo.SetCurSel(0);

	PIP_ADAPTER_INFO pIpAdapterInfo = m_AdapterInfo.pIpAdapterInfo;
	
	GuiShowByAdaterInfo(pIpAdapterInfo);
}

void CIpChangeDlg::GetConnectNames()
{
	/*******************************************
	*ͨmprapiȡ
	*ͨindexϢ
	********************************************/
	HANDLE   hMprConfig;                    //Ϣľ
	DWORD   dwRet=0;                        //ֵ
	PIP_INTERFACE_INFO   plfTable = NULL;   //ӿϢ
	DWORD   dwBufferSize=0;                 //ӿϢռС

	m_AdapterInfo.csConnectName = new char [m_AdapterInfo.iCount] [256];  //ռ洢

	dwRet = MprConfigServerConnect(NULL, &hMprConfig);  //þ
	dwRet = GetInterfaceInfo(NULL, &dwBufferSize);      //ýӿϢС

	if(dwRet == ERROR_INSUFFICIENT_BUFFER)              //ýӿϢ
	{ 
		plfTable = (PIP_INTERFACE_INFO)HeapAlloc(GetProcessHeap(), HEAP_ZERO_MEMORY, dwBufferSize); 
		GetInterfaceInfo(plfTable, &dwBufferSize); 
	} 


	TCHAR   szFriendName[256];                   //ӿ
	DWORD   tchSize = sizeof(TCHAR) * 256; 
	ZeroMemory(&szFriendName, tchSize);  

	for (UINT i = 0; i < plfTable-> NumAdapters; i++) 
	{ 
		IP_ADAPTER_INDEX_MAP   AdaptMap;         //ӿϢ
		AdaptMap = plfTable->Adapter[i]; 

		dwRet = MprConfigGetFriendlyName(hMprConfig, AdaptMap.Name,
			(PWCHAR)szFriendName, tchSize);      //unicode 
		USES_CONVERSION;
		char* pName = W2A((PWCHAR)szFriendName);                           //תΪansi

		InsertConnectName(AdaptMap.Index, pName);                          //Index洢Ϣ                                         
	} 
	HeapFree(GetProcessHeap(), HEAP_ZERO_MEMORY, plfTable);
}

//ȡIPַϢ
void CIpChangeDlg::GetIpAddrsInfo()
{
	/*******************************************
	*ͨIphlpapiȡϢ͸
	********************************************/
	PIP_ADAPTER_INFO pIpAdapterInfo = new IP_ADAPTER_INFO();
	ULONG stSize = sizeof(IP_ADAPTER_INFO);
	int nRel = GetAdaptersInfo(pIpAdapterInfo, &stSize);    //С

	if (ERROR_BUFFER_OVERFLOW == nRel)                      //ҪĿռ
	{
		delete pIpAdapterInfo;
		pIpAdapterInfo = (PIP_ADAPTER_INFO) new BYTE[stSize];
		nRel=GetAdaptersInfo(pIpAdapterInfo, &stSize); 
	}


	if (ERROR_SUCCESS == nRel)                              //ȡϢɹ
	{
		m_AdapterInfo.pIpAdapterInfo = pIpAdapterInfo;
		m_AdapterInfo.iCount = 0;
		while (pIpAdapterInfo)                          //ȡ
		{
			m_AdapterInfo.iCount++;
			pIpAdapterInfo = pIpAdapterInfo->Next;
		}
	}
}
//ʼϢ
void CIpChangeDlg::InitIpAddrsInfo()
{
	 GetIpAddrsInfo();
	 GetConnectNames();
}


//Ϣ
void CIpChangeDlg::UpdateIpAddrsInfo()
{
	delete m_AdapterInfo.pIpAdapterInfo;
	m_AdapterInfo.pIpAdapterInfo = NULL;
	m_AdapterInfo.iCount = 0;
	GetIpAddrsInfo();
}

void CIpChangeDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// ԻСťҪĴ
//  Ƹͼꡣʹĵ/ͼģ͵ MFC Ӧó
//  ⽫ɿԶɡ

void CIpChangeDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // ڻƵ豸

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// ʹͼڹо
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// ͼ
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

//û϶Сʱϵͳô˺ȡùʾ
//
HCURSOR CIpChangeDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


//IPDNSؼչʾ
void CIpChangeDlg::GuiShowByAdaterInfo(PIP_ADAPTER_INFO pIpAdapterInfo)
{
	//ÿؼǷΪIP DHCP
	if (pIpAdapterInfo->DhcpEnabled)       
	{
		m_IpDHCPButton.SetCheck(TRUE);
		m_IpCtl.EnableWindow(FALSE);
		m_MaskCtl.EnableWindow(FALSE);
		m_GatewayCtl.EnableWindow(FALSE);
	}
	else
	{
		m_IpDHCPButton.SetCheck(FALSE);
		m_IpCtl.EnableWindow(TRUE);
		m_MaskCtl.EnableWindow(TRUE);
		m_GatewayCtl.EnableWindow(TRUE);
	}

	//MACַ
	CString csMac;
	csMac.Format("%02X%02X%02X%02X%02X%02X", 
		pIpAdapterInfo->Address[0], 
		pIpAdapterInfo->Address[1],
		pIpAdapterInfo->Address[2],
		pIpAdapterInfo->Address[3],
		pIpAdapterInfo->Address[4],
		pIpAdapterInfo->Address[5]);
	m_tMacCtl.SetWindowText(csMac);

	//IPַ
	m_IpCtl.SetWindowText(pIpAdapterInfo->IpAddressList.IpAddress.String);
	//
	m_MaskCtl.SetWindowText(pIpAdapterInfo->IpAddressList.IpMask.String);
	//
	m_GatewayCtl.SetWindowText(pIpAdapterInfo->GatewayList.IpAddress.String);
	//DNS
	IP_PER_ADAPTER_INFO* pPerAdapt	= NULL;
	ULONG ulLen = 0;
	int err = GetPerAdapterInfo( pIpAdapterInfo->Index, pPerAdapt, &ulLen);
	if( err == ERROR_BUFFER_OVERFLOW ) {
		pPerAdapt = ( IP_PER_ADAPTER_INFO* ) HeapAlloc(GetProcessHeap(), HEAP_ZERO_MEMORY, ulLen);
		err = GetPerAdapterInfo( pIpAdapterInfo->Index, pPerAdapt, &ulLen );

		if( err == ERROR_SUCCESS ) {
			IP_ADDR_STRING* pNext = &( pPerAdapt->DnsServerList );
			if (pNext && strcmp(pNext->IpAddress.String, "") != 0)
			{
				m_DNSDHCPBUTTON.SetCheck(FALSE);
				m_PrimaryDnsCtl.EnableWindow(TRUE);
				m_BackupDnsCtl.EnableWindow(TRUE);
				m_PrimaryDnsCtl.SetWindowText(pNext->IpAddress.String);
				if (pNext = pNext->Next)
					m_BackupDnsCtl.SetWindowText(pNext->IpAddress.String);
			}				
			else
			{
				m_DNSDHCPBUTTON.SetCheck(TRUE);
				m_PrimaryDnsCtl.EnableWindow(FALSE);
				m_BackupDnsCtl.EnableWindow(FALSE);
				m_PrimaryDnsCtl.SetWindowText("");
				m_BackupDnsCtl.SetWindowText("");
			}
		}

		HeapFree(GetProcessHeap(), HEAP_ZERO_MEMORY, pPerAdapt);
	}	
}

//ѡͬ
void CIpChangeDlg::OnCbnSelchangeAdapterinfocombo()
{
	int iPos = m_cAdaptersInfo.GetCurSel();
	//ʼComboxϢ,ʾһϢ
	int i = 0;
	PIP_ADAPTER_INFO pIpAdapterInfo = m_AdapterInfo.pIpAdapterInfo;
	while (i++ < iPos)
	{
		pIpAdapterInfo = pIpAdapterInfo->Next;
	}
	m_cAdaptersInfo.SetCurSel(iPos);

	GuiShowByAdaterInfo(pIpAdapterInfo);

	//UpdateData(FALSE);
}

BOOL CIpChangeDlg::GuiShowByPlanInfo(PlanInfo *pPlan)
{
	//GuiϢ
	int index = m_cAdaptersInfo.FindString(0, pPlan->m_ConnectName);
	if (index == CB_ERR)
	{
		AfxMessageBox("ûҵ÷ӣ", MB_OK);
		return FALSE;
	}
	m_cAdaptersInfo.SetCurSel(index);

	//ÿؼǷΪIP DHCP
	if (pPlan->m_IsIpDHCP == TRUE)       
	{
		m_IpDHCPButton.SetCheck(TRUE);
		m_IpCtl.EnableWindow(FALSE);
		m_MaskCtl.EnableWindow(FALSE);
		m_GatewayCtl.EnableWindow(FALSE);
	}
	else
	{
		m_IpDHCPButton.SetCheck(FALSE);
		m_IpCtl.EnableWindow(TRUE);
		m_MaskCtl.EnableWindow(TRUE);
		m_GatewayCtl.EnableWindow(TRUE);
	}

	//MACַ
	//m_tMacAddr.Format("%s", pPlan->m_MacAddr);
	m_tMacCtl.SetWindowText(pPlan->m_MacAddr);

	//IPַ
	m_IpCtl.SetWindowText(pPlan->m_IpAddress);
	//
	m_MaskCtl.SetWindowText(pPlan->m_Mask);
	//
	m_GatewayCtl.SetWindowText(pPlan->m_GateWay);
	//DNS
	if (pPlan->m_IsDNSDHCP == FALSE)
	{
		m_DNSDHCPBUTTON.SetCheck(FALSE);
		m_PrimaryDnsCtl.EnableWindow(TRUE);
		m_BackupDnsCtl.EnableWindow(TRUE);
		m_PrimaryDnsCtl.SetWindowText(pPlan->m_PrimaryDns);
		m_BackupDnsCtl.SetWindowText(pPlan->m_BackupDns);
	}				
	else
	{
		m_DNSDHCPBUTTON.SetCheck(TRUE);
		m_PrimaryDnsCtl.EnableWindow(FALSE);
		m_BackupDnsCtl.EnableWindow(FALSE);
		m_PrimaryDnsCtl.SetWindowText("");
		m_BackupDnsCtl.SetWindowText("");
	}

	//UpdateData(FALSE);
	return TRUE;
}

UINT CIpChangeDlg::ModifyAdress(LPVOID lParam)
{
		CIpChangeDlg* pDlg = (CIpChangeDlg*)lParam;
		pDlg->SetIpInfoByCommand();                     //µIPʾ
		pDlg->SetMacByRegist();                         //޸MAC
		pDlg->SendMessage(WM_MSG_MODIFY_COMPLETE, NULL, NULL);
		return 0;
}

BOOL CIpChangeDlg::SetIpInfoByCommand()
{
	CString CommandLine = "/c netsh interface ip set address ";   //shelleexcuteexeִ
	CString csValue;

	//IP޸Ϊ +DHCP
	// +static+IP+MASK+GATEWAY

	//
	m_cAdaptersInfo.GetWindowText(csValue);
	CommandLine += "\"" + csValue + "\"" + " ";

	if (m_IpDHCPButton.GetCheck() == 1)    //ѡIP DHCP
	{
		CommandLine += "dhcp";
	}
	else
	{
		CommandLine += "static ";

		m_IpCtl.GetWindowText(csValue);     //IPַ
		CommandLine += csValue + " ";

		m_MaskCtl.GetWindowText(csValue);   //ȡ
		CommandLine += csValue + " ";

		m_GatewayCtl.GetWindowText(csValue);   //ȡ
		CommandLine += csValue;
	}
	ExcuteCommand(CommandLine.GetBuffer(0));

	//޸DNS
	CommandLine = "/c netsh interface ip set dnsservers ";   //shelleexcuteexeִ
	//
	m_cAdaptersInfo.GetWindowText(csValue);
	CommandLine += "\"" + csValue + "\"" + " ";

	if (m_DNSDHCPBUTTON.GetCheck() == 1)
	{
		CommandLine += "dhcp";
	}
	else
	{
		CommandLine += "static ";

		m_PrimaryDnsCtl.GetWindowText(csValue);
		CommandLine += csValue + " ";           //DNS
		ExcuteCommand(CommandLine.GetBuffer(0));

		//DNS
		CommandLine = "/c netsh interface ip add dnsservers ";   //shelleexcuteexeִ
		//
		m_cAdaptersInfo.GetWindowText(csValue);
		CommandLine += "\"" + csValue + "\"" + " ";

		m_BackupDnsCtl.GetWindowText(csValue);
		CommandLine += csValue;           //øDNS
		ExcuteCommand(CommandLine.GetBuffer(0));
	}
	return TRUE;
}

//޸עϢ޸MAc,ͨ
BOOL CIpChangeDlg::SetMacByRegist()
{
	//UpdateData(TRUE);

	//instance
	//õǰ
	int iPos = m_cAdaptersInfo.GetCurSel();
	CString csAdapterName;
	m_cAdaptersInfo.GetLBText(iPos, csAdapterName);

	PIP_ADAPTER_INFO pIpAdapterInfo = m_AdapterInfo.pIpAdapterInfo;
	//ҵӦϢ
	for (int i = 0; i < m_AdapterInfo.iCount; i++)
	{
		if (strcmp(m_AdapterInfo.csConnectName[i], csAdapterName.GetBuffer(0)) == 0)
			break;
		pIpAdapterInfo = pIpAdapterInfo->Next;
	}
	//instance
	char *strNetCfgInstanceId = pIpAdapterInfo->AdapterName;
	//MAC
	CString csMac;
	m_tMacCtl.GetWindowText(csMac);
	if (csMac == "")
		return TRUE;
	char *lpszMacID = csMac.GetBuffer(0);


	//޸ע޸mAC
	BOOL bRet = FALSE;
	HKEY hKey = NULL;			

	if(RegOpenKeyEx(HKEY_LOCAL_MACHINE,
		_T("SYSTEM\\CurrentControlSet\\Control\\Class\\{4D36E972-E325-11CE-BFC1-08002bE10318}"),
		0,KEY_ALL_ACCESS,&hKey) == ERROR_SUCCESS)
	{
		DWORD dwIndex = 0;
		TCHAR Name[1024];
		DWORD cName = 1024;

		while( RegEnumKeyEx(hKey, dwIndex, Name, &cName, 
			NULL, NULL, NULL, NULL) == ERROR_SUCCESS )
		{

			HKEY hSubKey = NULL;
			if(RegOpenKeyEx(hKey,Name,0,KEY_ALL_ACCESS,&hSubKey) == ERROR_SUCCESS)
			{
				
				BYTE Data[1204];
				DWORD cbData = 1024;
				if(RegQueryValueEx(hSubKey,_T("NetCfgInstanceId"),NULL,NULL,Data,&cbData) == ERROR_SUCCESS)
				{
					if(_tcscmp((TCHAR*)Data,strNetCfgInstanceId) == 0)
					{
						if(lpszMacID == NULL)
						{
							//Delete the NetCfgInstanceId entry
							LONG nErr = RegDeleteValue(hSubKey, _T("NetworkAddress"));
							if( (nErr == ERROR_SUCCESS) || (nErr == ERROR_FILE_NOT_FOUND) )
							{
								bRet = TRUE;
							}							
						}
						else
						{
							//Add the NetCfgInstanceId entry
							if(RegSetValueEx(hSubKey, _T("NetworkAddress"),0,REG_SZ,(const BYTE*)lpszMacID,sizeof(TCHAR) * ((DWORD)_tcslen(lpszMacID) + 1)) == ERROR_SUCCESS)
							{
								bRet = TRUE;
							}							
						}												
					}
				}
				RegCloseKey(hSubKey);
			}					
			cName = 1024;
			dwIndex++;
		}
		RegCloseKey(hKey);
	}

	//Ϊ޸MACҪʹµMAC
	//
	CString csValue;
	//
	m_cAdaptersInfo.GetWindowText(csValue);
	CString CommandLine = "";
	CommandLine += "/c netsh interface set interface \"" + csValue + "\" DISABLED";
	ExcuteCommand(CommandLine.GetBuffer(0));

	//
	CommandLine = "";
	CommandLine += "/c netsh interface set interface \"" + csValue + "\" ENABLED";
	ExcuteCommand(CommandLine.GetBuffer(0));

	return bRet;
}

//cmdִ netshȴ
void CIpChangeDlg::ExcuteCommand(char* pCommandParam)
{
	//ʼshellexeϢ
	SHELLEXECUTEINFO   ExeInfo; 
	ZeroMemory(&ExeInfo, sizeof(SHELLEXECUTEINFO)); 
	ExeInfo.cbSize = sizeof(SHELLEXECUTEINFO); 
	ExeInfo.lpFile = "cmd.exe"; 
	ExeInfo.lpParameters = pCommandParam;
	ExeInfo.fMask = SEE_MASK_NOCLOSEPROCESS   ; 
	ExeInfo.nShow = SW_HIDE; 
	ExeInfo.hwnd = NULL;
	ExeInfo.lpVerb = NULL;
	ExeInfo.lpDirectory = NULL;
	ExeInfo.hInstApp = NULL;	

	//ִ
	ShellExecuteEx(&ExeInfo);

	//ȴ̽
	WaitForSingleObject(ExeInfo.hProcess, INFINITE); 
}

//ť
void CIpChangeDlg::OnBnClickedStartbutton()
{
	if (m_PlanCombo.GetCount() == 0)
		return ;
	
	int iPos = m_PlanCombo.GetCurSel();  
	GuiShowByPlanInfo(m_vPlanInfo[iPos]);     //ComboеλеϢӦ
	//SetIpInfoByCommand();                     //µIPʾ
	//SetMacByRegist();                         //޸MAC
	this->SetWindowText("ַ....");
	this->EnableWindow(FALSE);

	CWinThread * pThread = AfxBeginThread(ModifyAdress, (LPVOID)this);
	//UpdateIpAddrsInfo();                      //µַϢ
}

void CIpChangeDlg::OnBnClickedIpdhcp()
{
	if (m_IpDHCPButton.GetCheck() == 0)
	{
		m_IpCtl.EnableWindow(TRUE);
		m_MaskCtl.EnableWindow(TRUE);
		m_GatewayCtl.EnableWindow(TRUE);
	}
	else if (m_IpDHCPButton.GetCheck() == 1)
	{
		m_IpCtl.EnableWindow(FALSE);
		m_MaskCtl.EnableWindow(FALSE);
		m_GatewayCtl.EnableWindow(FALSE);

		m_IpCtl.SetWindowText("0.0.0.0");
		m_MaskCtl.SetWindowText("0.0.0.0");
		m_GatewayCtl.SetWindowText("0.0.0.0");
	}
}

void CIpChangeDlg::OnBnClickedDnsdhcp()
{
	if (m_IpDHCPButton.GetCheck() == 0)
	{
		m_DNSDHCPBUTTON.SetCheck(TRUE);
		AfxMessageBox("дDNS", MB_OK);
		return ;
	}
	if (m_DNSDHCPBUTTON.GetCheck() == 0)
	{
		m_PrimaryDnsCtl.EnableWindow(TRUE);
		m_BackupDnsCtl.EnableWindow(TRUE);
	}
	else if (m_DNSDHCPBUTTON.GetCheck() == 1)
	{
		m_PrimaryDnsCtl.EnableWindow(FALSE);
		m_BackupDnsCtl.EnableWindow(FALSE);
		m_PrimaryDnsCtl.SetWindowText("");
		m_BackupDnsCtl.SetWindowText("");
	}
}

//޸IP
void CIpChangeDlg::OnBnClickedConfirmchange()
{
	this->SetWindowText("ַ....");
	this->EnableWindow(FALSE);

	CWinThread * pThread = AfxBeginThread(ModifyAdress, (LPVOID)this);
}

//Ƿֵͬķ
BOOL CIpChangeDlg::CheckPlanName(char *pName)
{
	for (int i = 0; i < m_vPlanInfo.size(); i++)
	{
		if (strcmp(m_vPlanInfo[i]->m_PlanName, pName) == 0)
			return FALSE;
	}
	return TRUE;
}

//淽
BOOL CIpChangeDlg::SavePlan(PlanInfo* pPlan)
{
	string value;

	//
	string section = pPlan->m_PlanName;
	CIniFile::AddSection(section, m_csFileName);
	
	//
	CIniFile::SetValue(CONNECTNAME, pPlan->m_ConnectName, section, m_csFileName); 

	//IPǷDHCP
	if (pPlan->m_IsIpDHCP == TRUE)
		CIniFile::SetValue(IPDHCP, "TRUE", section, m_csFileName); 
	else
		CIniFile::SetValue(IPDHCP, "FALSE", section, m_csFileName); 

	//DNSǷΪԶȡ
	if (pPlan->m_IsDNSDHCP == TRUE)
		CIniFile::SetValue(DNSDHCP, "TRUE", section, m_csFileName); 
	else
		CIniFile::SetValue(DNSDHCP, "FALSE", section, m_csFileName); 

	//IP
	CIniFile::SetValue(IPADDRESS, pPlan->m_IpAddress, section, m_csFileName); 

	//MASK
	CIniFile::SetValue(MASK, pPlan->m_Mask, section, m_csFileName); 

	//GATEWAY
	CIniFile::SetValue(GATEWAY, pPlan->m_GateWay, section, m_csFileName); 

	//PrimaryDNS
	CIniFile::SetValue(PRIMARYDNS, pPlan->m_PrimaryDns, section, m_csFileName); 

	//BACKUPDNS
	CIniFile::SetValue(BACKUPDNS, pPlan->m_BackupDns, section, m_csFileName); 

	//MAcַ
	CIniFile::SetValue(MACADDR, pPlan->m_MacAddr, section, m_csFileName); 

	return TRUE;
}
//ݵǰϢPlan
PlanInfo* CIpChangeDlg::CreateNewPlanInfo(char *pName)
{
	//UpdateData(TRUE);

	PlanInfo* pPlan = new PlanInfo;
	strcpy(pPlan->m_PlanName, pName);
	
	CString csValue;
	//
	int iPos = m_cAdaptersInfo.GetCurSel();
	m_cAdaptersInfo.GetLBText(iPos, csValue);
	strcpy(pPlan->m_ConnectName, csValue.GetBuffer(0));


	if (m_IpDHCPButton.GetCheck() == 1)    //ǷDHCP
	{
		pPlan->m_IsIpDHCP = TRUE;
		
		strcpy(pPlan->m_IpAddress, "0.0.0.0");
		strcpy(pPlan->m_Mask, "0.0.0.0");
		strcpy(pPlan->m_GateWay, "0.0.0.0");
	}
	else
	{
		pPlan->m_IsIpDHCP = FALSE;

		m_IpCtl.GetWindowText(csValue);     //IPַ
		strcpy(pPlan->m_IpAddress, csValue.GetBuffer(0));

		m_MaskCtl.GetWindowText(csValue);   //ȡ
		strcpy(pPlan->m_Mask, csValue.GetBuffer(0));

		m_GatewayCtl.GetWindowText(csValue); //ȡ
		strcpy(pPlan->m_GateWay, csValue.GetBuffer(0));
	}

	//DNS
	if (m_DNSDHCPBUTTON.GetCheck() == 1)
	{
		pPlan->m_IsDNSDHCP = TRUE;

		strcpy(pPlan->m_PrimaryDns, "0.0.0.0");
		strcpy(pPlan->m_BackupDns, "0.0.0.0");
	}
	else
	{
		pPlan->m_IsDNSDHCP = FALSE;

		m_PrimaryDnsCtl.GetWindowText(csValue);
		strcpy(pPlan->m_PrimaryDns, csValue.GetBuffer(0));

		m_BackupDnsCtl.GetWindowText(csValue);
		strcpy(pPlan->m_BackupDns, csValue.GetBuffer(0));
	}

	//洢MAC
	CString csMac;
	m_tMacCtl.GetWindowText(csMac);
	csMac.Trim();
	strcpy(pPlan->m_MacAddr, csMac.GetBuffer(0));

	return pPlan;
}

void CIpChangeDlg::OnBnClickedSave()
{
	CInputPlanNameDlg dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		CString csPlanName = dlg.m_csPlanName;
		csPlanName.TrimLeft();
		csPlanName.TrimRight();
		if (csPlanName == "")
		{
			AfxMessageBox("Ϊգ", MB_OK);
			return;
		}

		if (!CheckPlanName(csPlanName.GetBuffer(0)))
		{
			AfxMessageBox("Ѿڣ", MB_OK);
			return;
		}
		
		//Ҫ洢ķ
		PlanInfo* pPlan = CreateNewPlanInfo(csPlanName.GetBuffer(0));
		m_vPlanInfo.push_back(pPlan);
		//ӵCombo
		int count = m_PlanCombo.GetCount();
		m_PlanCombo.InsertString(count, pPlan->m_PlanName);

		//淽
		SavePlan(pPlan);
	}
}
